<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <link rel="shortcut icon" href="../img/favicon.ico" />
    <title>How to MkDocs - Documentacao</title>
    <link rel="stylesheet" href="../css/theme.css" />
    <link rel="stylesheet" href="../css/theme_extra.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/styles/github.min.css" />
        <link href="../extra.css" rel="stylesheet" />
    
      <script>
        // Current page data
        var mkdocs_page_name = "How to MkDocs";
        var mkdocs_page_input_path = "how-to-mkdocs.md";
        var mkdocs_page_url = null;
      </script>
    
    <!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
    <![endif]-->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/highlight.min.js"></script>
      <script>hljs.highlightAll();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
          <a href=".." class="icon icon-home"> Documentacao
        </a><div role="search">
  <form id ="rtd-search-form" class="wy-form" action="../search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="..">Home</a>
                </li>
              </ul>
              <p class="caption"><span class="caption-text">Base de Conhecimento</span></p>
              <ul>
                  <li class="toctree-l1"><a class="" href="../basedeconhecimento/pfsense_voucher/README.md">Voucher Sistema Portaria</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../basedeconhecimento/activedirectory/activedirectory.md">ActiveDirectoryUsers</a>
                  </li>
              </ul>
              <p class="caption"><span class="caption-text">Containers</span></p>
              <ul>
                  <li class="toctree-l1"><a class="" href="../containers/docker/containers.md">Docker</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../containers/harbor-seduc/README.md">Harbor-SEDUC</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../containers/minio/README.md">MinIO</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../containers/teampass/teampass.md">TeamPass</a>
                  </li>
              </ul>
              <p class="caption"><span class="caption-text">Infraestrutura</span></p>
              <ul>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/argocd/README.md">ArgoCD</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/nuvem/README.md">AWS</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/certificado/certificado.md">Certificado</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/gitlab/README.md">GitLAB</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/k8s-ingress/README.md">Kubernetes</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/otrs/README.md">OTRS</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/k8s-iaas/README.md">Kubernetes IaaS</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/RocketChat_Ligero/README.md">LigeroRocketChat</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/monitoramento/README.md">Monitoramento</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/rabbitmq/README.md">RabbitMQ</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/zimbra/README.md">Zimbra</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/switchCore/acls.md">SwitchCore</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../infraestrutura/vault/README.md">Vault</a>
                  </li>
              </ul>
              <p class="caption"><span class="caption-text">Segurança</span></p>
              <ul>
                  <li class="toctree-l1"><a class="" href="../seguranca/firewall/README.md">CheckPoint</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../seguranca/wifiseduc/README.md">Wifi-SEDUC</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../seguranca/proxy-waf/Readme.md">WAF-ProxyReverso</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../seguranca/soc/README.md">SOC</a>
                  </li>
                  <li class="toctree-l1"><a class="" href="../seguranca/OpenVPN/README.md">OpenVPN</a>
                  </li>
              </ul>
              <p class="caption"><span class="caption-text">Metodologia ágil</span></p>
              <ul>
                  <li class="toctree-l1"><a class="" href="../metodologia_agil/wekan/README.md">Wekan</a>
                  </li>
              </ul>
              <p class="caption"><span class="caption-text">Problemas/Atividades comuns</span></p>
              <ul>
                  <li class="toctree-l1"><a class="" href="../basedeconhecimento/databases/README.md">DataBases</a>
                  </li>
              </ul>
              <p class="caption"><span class="caption-text">SEDUC-CE Informações</span></p>
              <ul>
                  <li class="toctree-l1"><a class="reference internal" href="../about/">About</a>
                  </li>
              </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">
      <nav class="wy-nav-top" role="navigation" aria-label="Mobile navigation menu">
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="..">Documentacao</a>
        
      </nav>
      <div class="wy-nav-content">
        <div class="rst-content"><div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href=".." class="icon icon-home" aria-label="Docs"></a> &raquo;</li>
      <li class="breadcrumb-item active">How to MkDocs</li>
    <li class="wy-breadcrumbs-aside">
    </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
            <div class="section" itemprop="articleBody">
              
                <h1 id="how-to-mkdocs">How to MkDocs</h1>
<p>Existem 2 formas básicas de edição para o MkDocs.</p>
<ol>
<li>
<p>Utilizando um editor de texto de sua preferência e utilizando a propria ferramenta MkDocs e acompanhando localmente na sua máquina atráves do browser de sua preferência: <a href="../how-to-mkdocs2/"><strong>Link das instruções</strong></a></p>
</li>
<li>
<p>Sem a necessidade de instalação local do MkDocs, recomenda-se utilizar o software "Visual Studio Code" com o plugin: "Markdown Preview Github Styling". Conforme print abaixo.</p>
</li>
</ol>
<p><img alt="" src="../imgs/vscode.png" /></p>
<h3 id="procedimento-comum-para-ambos-os-passos">Procedimento comum para ambos os passos</h3>
<p>O primeiro passo é <em>clonar</em> o Repositorio do projeto no git para a sua maquina.</p>
<pre><code class="language-bash">
Após a conclusão aparecerá uma arvore de diretórios conforme abaixo
```bash
$ tree mkdocs/
mkdocs/
├── docker-compose-staging.yml
├── Dockerfile
├── httpd.conf
├── mkdocs
│   ├── docs
...................
│   └── mkdocs.yml
└── README.md
$ cd mkdocs/mkdocs/
$ ls -l
total 4
drwxrwxr-x. 1 user user 126 Jan 13 13:39 docs
-rw-rw-r--. 1 user user 253 Jan 13 13:39 mkdocs.yml
</code></pre>
<h3 id="entendendo-a-lista-de-paginas">Entendendo a lista de páginas.</h3>
<p>O Principal arquivo dentro do projeto é "<strong>mkdocs.yml</strong>", nele é definido a árvore de paginas na lateral.</p>
<pre><code class="language-yaml">site_name: Documentacao 
nav:
    - Home: index.md

theme: readthedocs

</code></pre>
<p>O resultado desta configuração é o print abaixo:</p>
<p><img alt="" src="imgs/mkdocs-tree.png" /></p>
<h3 id="boa-pratica">Boa prática</h3>
<ul>
<li>
<p>É recomendado que todas as alterações sejam realizadas na <strong><em>branch staging</em></strong>, e feito o push na mesma. Só então após homologado, seja feito um merge para a <strong><em>branch master</em></strong>.</p>
</li>
<li>
<p>Como todo código é versionado através do git, é importante que <strong>SEMPRE</strong> seja feito um pull antes de um push, para que todo procedimento aconteça de forma correta.</p>
</li>
</ul>
<pre><code class="language-bash">    $ ls
    total 100
    -rw-rw-r--. 1 user user   697 Feb  3 16:58 docker-compose-staging.yml
    -rw-rw-r--. 1 user user   593 Feb  2 14:27 Dockerfile
    -rw-rw-r--. 1 user user 21236 Feb  2 14:26 httpd.conf
    drwxrwxr-x. 1 user user    48 Jan 13 11:15 mkdocs
    -rw-r--r--. 1 user user 65438 Feb  2 16:09 mkdocs-page.png
    -rw-rw-r--. 1 user user  2117 Feb  4 12:54 README.md

    $ git pull
    Already up to date.

    $ git push
    Enumerating objects: 15, done.
    Counting objects: 100% (15/15), done.
    Delta compression using up to 12 threads
    Compressing objects: 100% (8/8), done.
    Writing objects: 100% (8/8), 742 bytes | 742.00 KiB/s, done.
    Total 8 (delta 4), reused 0 (delta 0), pack-reused 0
    ...
    To http://gitlab.dominio/externos/mkdocs.git
        c1871bf..7b97ea6  staging -&gt; staging
</code></pre>
<ul>
<li>Exemplo de erro quando é necessário fazer o pull primeiro:</li>
</ul>
<pre><code>    $ git push
    To http://gitlab.dominio/externos/mkdocs.git
    ! [rejected]        staging -&gt; staging (fetch first)
    error: failed to push some refs to 'http://gitlab.dominio/externos/mkdocs.git'
    hint: Updates were rejected because the remote contains work that you do
    hint: not have locally. This is usually caused by another repository pushing
    hint: to the same ref. You may want to first integrate the remote changes
    hint: (e.g., 'git pull ...') before pushing again.
    hint: See the 'Note about fast-forwards' in 'git push --help' for details.

    $ git pull
    remote: Enumerating objects: 3486, done.
    remote: Counting objects: 100% (3486/3486), done.
    remote: Compressing objects: 100% (3174/3174), done.
    remote: Total 3481 (delta 247), reused 3481 (delta 247), pack-reused 0
    Receiving objects: 100% (3481/3481), 19.02 MiB | 22.54 MiB/s, done.
    Resolving deltas: 100% (247/247), completed with 3 local objects.
    From http://gitlab.dominio/externos/mkdocs
    2efc87f..f9f9dee  staging    -&gt; origin/staging
    Merge made by the 'recursive' strategy.
</code></pre>
<ul>
<li>
<p>Conforme exemplo de configuração do print acima, foram criados 3 diretórios e cada subdivisão feita dentro deles. Sempre que for necessário deverá ser criado mais uma ramificação e/ou alterando a existente para que fique mais fácil compreensão.</p>
<p><img alt="" src="imgs/mkdocs-tree2.png" /></p>
</li>
<li>
<p>Nem sempre é necessário criar uma ramificação na árvore caso ela faça parte de um subgrupo genérico, <em><strong>ex</strong>: Docker</em>. 
    Todo esse subconteudo pode ser pesquisado como qualquer outro não indexado na árvore de ramificações.
    <img alt="" src="imgs/docker-sub1.png" /></p>
<p><img alt="" src="imgs/docker-sub2.png" /></p>
<p><img alt="" src="imgs/docker-sub3.png" /></p>
</li>
</ul>
<h3 id="links-uteis">Links úteis</h3>
<ul>
<li>Link da Documentação do <a href="https://www.mkdocs.org/"><strong>MkDocs</strong></a>.</li>
<li>Link de um Guia de Uso <a href="https://www.markdownguide.org/basic-syntax/"><strong>Markdown</strong></a></li>
</ul>
              
            </div>
          </div><footer>

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
          
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="Versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
    
    
  </span>
</div>
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script>var base_url = "..";</script>
    <script src="../js/theme_extra.js"></script>
    <script src="../js/theme.js"></script>
      <script src="../search/main.js"></script>
    <script>
        jQuery(function () {
            SphinxRtdTheme.Navigation.enable(true);
        });
    </script>

</body>
</html>
